- [HTTP request](https://developers.google.com/doubleclick-advertisers/rest/v5/countries/list#body.HTTP_TEMPLATE)
- [Path parameters](https://developers.google.com/doubleclick-advertisers/rest/v5/countries/list#body.PATH_PARAMETERS)
- [Request body](https://developers.google.com/doubleclick-advertisers/rest/v5/countries/list#body.request_body)
- [Response body](https://developers.google.com/doubleclick-advertisers/rest/v5/countries/list#body.response_body)
  - [JSON representation](https://developers.google.com/doubleclick-advertisers/rest/v5/countries/list#body.CountriesListResponse.SCHEMA_REPRESENTATION)
- [Authorization scopes](https://developers.google.com/doubleclick-advertisers/rest/v5/countries/list#body.aspect)
- [Try it!](https://developers.google.com/doubleclick-advertisers/rest/v5/countries/list#try-it)

Retrieves a list of countries.

### HTTP request

`GET https://dfareporting.googleapis.com/dfareporting/v5/userprofiles/{profileId}/countries`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `profileId` | `string (https://developers.google.com/discovery/v1/type-format format)` User profile ID associated with this request. |

### Request body

The request body must be empty.

### Response body

Country countries.list Response

If successful, the response body contains data with the following structure:

| JSON representation |
|---|
| ``` { "kind": string, "countries": [ { object (`https://developers.google.com/doubleclick-advertisers/rest/v5/countries#Country`) } ] } ``` |

| Fields ||
|---|---|
| `kind` | `string` Identifies what kind of resource this is. Value: the fixed string `"dfareporting#countriesListResponse"`. |
| `countries[]` | ``object (`https://developers.google.com/doubleclick-advertisers/rest/v5/countries#Country`)`` Country collection. |

### Authorization scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/dfatrafficking`